Bug 66137 - SRPM Packages for RPM <=4.1 have old config.guess
SRPM Packages for RPM <=4.1 have old config.guess
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
other Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-06-05 06:14 EDT by Vik Olliver
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-05 06:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vik Olliver 2002-06-05 06:14:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i586)

Description of problem:
When --rebuild'ing RPM on a Playstation 2 under the official Sony Linux 1.0, I
noticed that the config.guess files would not correctly recognise the "mipsel"
processor type and the config.guess script would halt.

I contacted Ben Elliston (bje@redhat.com) who suggested that the config.guess
scripts be upgraded to the current version from

Vik :v)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download rpm-4.1-0.19.7x.src.rpm (as an example) ona Sony PS2 Linux PC.

2. From the same directory, issue:
	rpm --rebuild rpm-4.1-0.19.7x.src.rpm

3. Wait for the configure script to invoke config.guess


Actual Results:  config.guess reports that it cannot identify the processor type
and suggests that you notify the authors.

Expected Results:  config.guess should recognise the CPU as a "mipsel". If the
config.guess scripts are replaced, this happens properly.

Additional info:

The RPM will still fail to build until this patch is applied to RPM's legacy.c:
Index: legacy.c
RCS file: /cvs/devel/rpm/rpmdb/legacy.c,v
retrieving revision 1.6
diff -u -r1.6 legacy.c
--- legacy.c    2 May 2002 22:16:31 -0000       1.6
+++ legacy.c    4 Jun 2002 12:48:41 -0000
@@ -37,7 +37,9 @@
            return 1;
         xx = madvise(mapped, st->st_size, MADV_SEQUENTIAL);
        ctx = rpmDigestInit(PGPHASHALGO_MD5, RPMDIGEST_NONE);
        xx = rpmDigestUpdate(ctx, mapped, st->st_size);

However, I am unsure of the stability of this patch on other platforms.
Comment 1 Jeff Johnson 2002-07-31 15:35:44 EDT
config.guess/config.sub from the URL are identical
to (at least) what's in rpm-4.1-0.61.

The MADVISE avoidance is included as well.

Note You need to log in before you can comment on or make changes to this bug.